<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Bank extends MY_Controller{
    //put your code here
    public function __construct()
    {
        parent::__construct();
        $this->load->model('bank_model');
    }    
    
    public function index() {
        $data['message'] = $this->session->flashdata('status');

        $this->load->view('design/header');
        $this->load->view('bank/management/viewbank', $data);
        $this->load->view('design/footer');
    }
    
    public function blank_page() {        
        $this->load->view('design/header');
        $this->load->view('products/blank_page');
        $this->load->view('design/footer');
    }

    public function search_bank(){
        if($_POST == TRUE) {
            //form validation
            $this->form_validation->set_rules('fromDate', 'From Date', 'required');
            $this->form_validation->set_rules('toDate', 'To Date');

            if ($this->form_validation->run() == TRUE) {
                $bank_list = $this->bank_model->get_bank_by();
                $data["bank_lst"] = $bank_list;
                $data["fromDate"] = $this->input->post('fromDate');;
                $data["toDate"] = $this->input->post('toDate');;

                $this->load->view('design/header');
                $this->load->view('bank/management/viewbank', $data);
                $this->load->view('design/footer');
            }else{
                $this->session->set_flashdata('error', 'Failed to do query');
                redirect('bank');
            }
        }
    }

    public function update_products($product_id){
            if($_POST == TRUE) {
                //form validation
                $this->form_validation->set_rules('productID', 'Product ID', 'required|numeric');
				$this->form_validation->set_rules('productName', 'Product Name', 'required');
				$this->form_validation->set_rules('productStock', 'Stock', 'required|numeric');
				$this->form_validation->set_rules('productCategory', 'Category', 'required');
				$this->form_validation->set_rules('dateManufactured', 'Date Manufactured', 'trim|required');
				$this->form_validation->set_rules('dateExpired', 'Date Expired', 'trim|required');
				$this->form_validation->set_rules('vendorPrice', 'Vendor Price', 'numeric');
				$this->form_validation->set_rules('status', 'Availability', 'required');

                //error message
                if ($this->form_validation->run() == TRUE) {
                    //start transactions
                    $this->db->trans_start();
                    
                    //change user password
                    $this->login_database->update_products_detail($product_id);
                    // $this->model_log->insert($this->data['menu'],'change password',$this->input->post('username'));
                    
                    //end transactions
                    $this->db->trans_complete();
                   // $this->session->set_flashdata('status', 'Success change user password, '.$this->input->post('username'));
                    redirect('users');
                } else {
                    $this->session->set_flashdata('error', 'Failed to change password');
                }
            }else{
                $data['content_products'] = $this->login_database->get_products_data((int)$product_id);
                $this->load->view('products/management/editbarang', $data);
            }
        }
}
