<?php 
	class Signup extends MY_Controller
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->helper('form');
			$this->load->library('form_validation');
			$this->load->model('login_database');
			$this->load->model('user_model');
		}
		public function index()
		{
			$this->load->view('design/header');
			$this->load->view('users/management/signup');
			$this->load->view('design/footer');
		}

		public function create_new_user()
	    {
	        $this->form_validation->set_rules('email', 'Email', 'required|valid_email|is_unique[tbl_user.email]', 
	        	array(
	                'required'      => 'You have not provided %s.',
	                'is_unique'     => 'This %s already exists.'
		        ));

	        $this->form_validation->set_rules('username', 'Username', 'required|is_unique[tbl_user.username]', 
	        	array(
	                'required'      => 'You have not provided %s.',
	                'is_unique'     => 'This %s already exists.'
		        ));

	        $this->form_validation->set_rules('password', 'Password', 'required');
	        $this->form_validation->set_rules('password_conf', 'Password Confirm', 'required|matches[password]');
	        $this->form_validation->set_rules('firstname', 'First Name', 'required');
	        $this->form_validation->set_rules('lastname', 'Last Name', 'required');

	        if ($this->form_validation->run() == FALSE) 
	        {
	            $this->load->view('design/header');
	            $this->load->view('users/management/signup');
	            $this->load->view('design/footer');  
	        }
	        else
	        {
	            $data = array(
	                'email' => $this->input->post('email'),
	                'username' => $this->input->post('username'),
	                'password' =>$this->input->post('password'),
	                'first_name' => $this->input->post('firstname'),
	                'last_name' => $this->input->post('lastname'),
	                'privilege' => $this->input->post('privilege')
	            );

	            $result = $this->login_database->checkIsUserExist($data['email']);

	            if($result == TRUE)
	            {
	                echo "Already exist!";
	                echo now();
	            }
	            else
	            {
	            	$result = $this->login_database->createUser($data['email'], $data['username'], $data['password'], $data['first_name'], $data['last_name'], $data['privilege']);

	            	//echo "$result";

	                if($result == TRUE)
	                {
	                	redirect('dashboard');
	                }
	                else
	                {
	                	redirect('signup');
	                }
	            }
	        }
	    }
	}
 ?>