var base_url = $("#base_url").val();

$('input[name="dates"]').daterangepicker({
	    "maxDate": moment(),
	    "autoApply": true,
	    "autoUpdateInput": true,
	    locale: {
			format: 'YYYY-MM-DD'
		}


	}, function(start, end, label) {
    
    console.log("A new date selection was made: " + start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD'));
    $('input#dateFrom').val(start.format('YYYY-MM-DD'));
    $('input#dateTo').val(end.format('YYYY-MM-DD'));

});

$('#playerKasirId').on('change', function(){
	$('.content').loading({stoppable: true});
	var kasiraccountid = $(this).find(":selected").val();
	
	console.log(kasiraccountid);
	console.log(base_url);

	$.ajax({
	  	url: base_url+'users/find_kasiraccount_player/'+kasiraccountid
	}).done(function( data ) {
	  	var obj = $.parseJSON(data);
	  	console.log(obj);

	  	// empty existing select
		$('#playerAccountId').find('option').remove().end();
		$('#playerAccountId').append(
							$('<option>', {
								value: 'all',
								text: '-- All --'
							}, '</option>'));

		if(!$.isEmptyObject(obj)){
			$.each(obj, function( key, value ) {

				$('#playerAccountId').append(
							$('<option>', {
								value: value['IdAccount'],
								text: value['NickName']
							}, '</option>'));
					
			});
		};
		
		$('.content').loading('stop');
	});
});

$('#search-deposit').on('click', function(){
	$('.content').loading({stoppable: true});
	var subagenId = $('#subagen_select').find(":selected").val();
	var agenId = $('#agen_select').find(":selected").val();
	var dates = $('input[name="dates"]').val();
	var arr = dates.split(' - ');
	
	$.ajax({
	  	url: base_url+'users/deposit_search/'+agenId+'/'+subagenId+'/'+arr[0]+'/'+arr[1]
	}).done(function( data ) {
	  	var obj = $.parseJSON(data);
	  	console.log(obj);

		if(!$.isEmptyObject(obj)){
			$('#deposit_table_in tbody').empty();
			$('#deposit_table_out tbody').empty();
			$('#coin_in_table tbody').empty();
			$('#cancel_credit_table tbody').empty();
			var totalJumlah = 0;
			var totalCount = 0;
			$.each(obj["deposit_in"], function( key, value ) {
				totalJumlah += Number(value['Jumlah']);
				totalCount ++;
				$('#deposit_table_in').append(
					'<tr>'// need to change closing tag to an opening `<tr>` tag.
						+'<td >'+value['Waktu']+'</td>'
						+'<td>'+value['NickName']+'</td>'
			            +'<td>'+value['NomorAccountPlayer']+'</td>'
			            +'<td>'+value['ContactName']+'</td>'
			            +'<td>'+numberWithThousands(value['SaldoAwal'])+'</td>'
			            +'<td>'+numberWithThousands(value['Jumlah'])+'</td>'
			            +'<td>'+numberWithThousands(value['SaldoAkhir'])+'</td>'
		            +'</tr>');
					
			});
			$('#total_transaksi').text(totalCount);
			$('#total_jumlah_transaksi').text(numberWithThousands(totalJumlah));

			totalJumlah = 0;
			totalCount = 0;
			$.each(obj["deposit_out"], function( key, value ) {
				totalJumlah += Number(value['Jumlah']);
				totalCount ++;
				$('#deposit_table_out').append(
					'<tr>'// need to change closing tag to an opening `<tr>` tag.
					+'<td >'+value['Waktu']+'</td>'
				            +'<td>'+value['NickName']+'</td>'
				            +'<td>'+value['NomorAccountPlayer']+'</td>'
				            +'<td >'+value['ContactName']+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAwal'])+'</td>'
				            +'<td>'+numberWithThousands(value['Jumlah'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAkhir'])+'</td>'
			            +'</tr>');
					
			});

			$.each(obj["isi_coin"], function( key, value ) {
				
				$('#coin_in_table').append(
					'<tr>'// need to change closing tag to an opening `<tr>` tag.
					+'<td >'+value['WaktuFrom']+'</td>'
				            +'<td>'+value['NamaFrom']+'</td>'
				            +'<td>'+value['NamaTo']+'</td>'
				            +'<td >'+value['JumlahFrom']+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAwalTo'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAkhirTo'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAwalFrom'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAkhirFrom'])+'</td>'
			            +'</tr>');
					
			});

			$.each(obj["cancel_credit"], function( key, value ) {
				
				$('#cancel_credit_table').append(
					'<tr>'// need to change closing tag to an opening `<tr>` tag.
					+'<td >'+value['WaktuFrom']+'</td>'
				            +'<td>'+value['NamaFrom']+'</td>'
				            +'<td>'+value['NamaTo']+'</td>'
				            +'<td >'+numberWithThousands(value['JumlahFrom'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAwalTo'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAkhirTo'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAwalFrom'])+'</td>'
				            +'<td>'+numberWithThousands(value['SaldoAkhirFrom'])+'</td>'
			            +'</tr>');
					
			});


			$('#total_transaksi_wd').text(totalCount);
			$('#total_jumlah_transaksi_wd').text(numberWithThousands(totalJumlah));
		};
		
		$('.content').loading('stop');
	});
});

$('#subagen_select').on('change', function(){
	// $('.content').loading({stoppable: true});
	// var subagenId = $('#subagen_select').find(":selected").val();

	// $.ajax({
	//   	url: base_url+'users/get_grup/'+subagenId
	// }).done(function( data ) {
	// 	$('#playerKasirId').find('option').remove().end();

	// 	var obj = $.parseJSON(data);
	//   	console.log(obj);

	//   	if (_.isEmpty(obj)) {
	//   		$('#playerKasirId').append(
	// 			$('<option disabled selected>-- Empty --</option>')
	// 		);
	//   	}

	//   	$('.content').loading('stop');
	// });

	
});

$('#agen_select').on('change', function(){
	$('.content').loading({stoppable: true});
	var agenId = $('#agen_select').find(":selected").val();

	$.ajax({
	  	url: base_url+'users/get_all_agen/'+agenId
	}).done(function( data ) {
		$('#subagen_select').find('option').remove().end();

		var obj = $.parseJSON(data);
	  	console.log(obj);

	  	if (_.isEmpty(obj)) {
	  		$('#subagen_select').append(
				$('<option disabled selected>-- Empty --</option>')
			);
	  	}

	  	if(!$.isEmptyObject(obj)){
			$.each(obj, function( key, value ) {
	  			$('#subagen_select').append(
						$('<option>', {
							value: value['IdKasir'],
							text: value['Nama']
						}, '</option>'));
			});
		};

	  	$('.content').loading('stop');
	});

	
});















